//Теоретичні питання
//1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
//2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
//3. Що таке явне та неявне приведення (перетворення) типів даних у JS?

   //Відповідь:

//1.Цикли в програмуванні потрібні для того щоб можна було виконувати якусь операцію багато разів,або щоб перевірити якусь операцію,
//і в разі її невиконанні,цикл буде повторюватися.
//2.Цикл While використовував для того щоб перевірити правильність ввода даних користувачем
// а for використовував для тодо щоб прорахувати якусь операцію,наприклад вивести всі числа кратні 5
//3.Перетворення типів - це проес який перетворює значення із одного типа в інший.Явне перетверення це коли
//розробник має намір зробити переведення наприклад Number(value) ,а неявне переведення це коли використовуючи оператори
//до різних типів даних переведення буде робитися автоматично



//Задание:
// Реализовать программу на Javascript, которая будет находить все числа кратные 5 (делятся на 5 без остатка) в заданном диапазоне.
// Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).
//
// Технические требования:
// Считать с помощью модального окна браузера число, которое введет пользователь.
// Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа.
// Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.

let calkNumber = +prompt("enter your number")
for (let i = 0; i <= calkNumber ; i++) {
    if (i % 5 === 0) {
        console.log(i)
    }
    if (calkNumber <= 4) {
        console.log(`Sorry, no numbers`);
        break
    }
}